#include "personprice.h"
#include <define.h>

PersonPrice::PersonPrice(QObject *parent) : QObject(parent)
{
    m_id = 0;
    m_fromAge = 0;
    m_toAge = 0;
    m_price = 0;
    m_active = true;
}

int PersonPrice::id() const
{
    return m_id;
}

void PersonPrice::setId(int id)
{
    m_id = id;
}

QString PersonPrice::description() const
{
    return m_description;
}

void PersonPrice::setDescription(const QString &description)
{
    m_description = description;
}

int PersonPrice::fromAge() const
{
    return m_fromAge;
}

void PersonPrice::setFromAge(int fromAge)
{
    m_fromAge = fromAge;
}

int PersonPrice::toAge() const
{
    return m_toAge;
}

void PersonPrice::setToAge(int toAge)
{
    m_toAge = toAge;
}

QDecDouble PersonPrice::price() const
{
    return TO_DEC(m_price);
}

void PersonPrice::setPrice(QDecDouble price)
{
    m_price = FROM_DEC(price);
}

bool PersonPrice::active() const
{
    return m_active;
}

void PersonPrice::setActive(bool active)
{
    m_active = active;
}
